#!/usr/bin/env node
import { createRequire as createRequire_BATI_CLI } from 'module';
const require = createRequire_BATI_CLI(import.meta.url);

import {
  lri,
  txs
} from "../../../../chunk-L3HFTASV.js";
import "../../../../chunk-IAWYWZSL.js";
import "../../../../chunk-DHZ7AZKP.js";

// ../../boilerplates/vue/dist/files/$vite.config.ts.js
async function getViteConfig(props) {
  const mod = await txs(props);
  lri(mod, {
    from: "@vitejs/plugin-vue",
    constructor: "vue",
    options: {
      include: [/\.vue$/, /\.md$/]
    }
  });
  lri(mod, {
    from: "unplugin-vue-markdown/vite",
    constructor: "md",
    options: {}
  });
  return mod.generate().code;
}
export {
  getViteConfig as default
};
